# ダイソンスフィアプログラム日本語化プラグイン　
ダイソンスフィアプログラムを日本語化し、フォントも変更します。初回起動時にオプションから日本語を選んでください。<br>
This plugin change all strings to Japanese and change fonts.<br>

## 機能
・文字列を日本語に翻訳し、フォントを見やすいものに変更します。<br>
・翻訳に伴い不具合のでたテキストの位置やボタンのサイズ等を調整します。<br>
・翻訳用の辞書は起動時に自動でダウンロードされます。<br>
・辞書に単語が追加されている場合は、他のMODのアイテムや技術の名前、説明文も翻訳されます。<br>

## インストールの方法（MODマネージャ「r2modman」を使うと簡単です）
1.BepInExをインストールしてください。<br>
2.`steamapps/common/Dyson Sphere Program/BepInEx/plugins/`内に`DSPJapanesePlugin`フォルダを作成してください。<br>
3.ダウンロード後解凍してできたファイルを2で作った`DSPJapanesePlugin`フォルダに配置してください。<br>
     必要なファイル<br>
     　DSPJapanesePlugin.dll<br>
     　DSPJPTranslationUpdater.dll<br>
     　updater_settings.txt<br>

## 設定について
解凍しできるファイルに**updater_settings.txt**がありすが、翻訳者、開発者向けの設定ですので、基本的に変更しないでください。<br>
`JSON_URL：`翻訳用辞書ファイルのダウンロード先です。翻訳作業所の翻訳を元に適度に更新されます。<br>
`SETTINGS_URL：`辞書用の設定ファイルのダウンロード先です。現在使用していません。<br>
`IMPORT_SHEET：`翻訳作業所のシートからデータを取り込んで辞書ファイルを作ります。翻訳協力者の方が翻訳作業所の変更を即時確認したい場合などはTrueにしてください。<br>
それ以下の設定は`IMPORT_SHEET`を有効にした場合の設定です。よほどのことがない限り変更しないでください。<br>

## フォントについて
本プラグインに含まれるフォントは「M+フォント」の幅を１５％狭くした上にプロポーショナル化し、英数字を「Saira」に置き換えたものです。<br>
「Saira」(https://fonts.google.com/specimen/Saira) Licensed under SIL Open Font License 1.1 (http://scripts.sil.org/OFL)<br>
「M+フォント」（http://mplus-fonts.osdn.jp/）Licensed under M+ FONTS License<br>
これ以外のフォントは指定できません。<br>

## 問い合わせ先
不具合、改善案などありましたら、DISCORD 「DysonSphereProgram_Jp」サーバー 「日本語化」チャンネル **Appun#8284**までお願いします。<br>
翻訳作業は<br>
https://docs.google.com/spreadsheets/d/1U9Y3iV7pfYGvlsl_tjvxX5mN0L_YrLlxdnCNnpMAyso/<br>
で行っております。ご協力をお願いします。<br>

## 更新履歴
1.1.0 トラフィックモニタウインドウのUIの文字列が収まらない問題に対応しました。無駄な処理を減らしました。<br>
1.0.9 ブループリントウインドウのUIの文字列が収まらない問題に対応しました。<br>
1.0.8 銀河系ビューの読み込みエラーメッセージが一部だけしか表示されない問題に対応しました。ランダムチップがどんどん大きくなるバグに対応しました。<br>
1.0.7 アップデート0.7.18.6931にとりあえず対応しました。<br>
1.0.6 言語設定で日本語以外を選んでも、MODで追加したアイテムが日本語化されていた問題を解決しましました。<br>
1.0.5 航行モードのインジケーターウインドウをとりあえず日本語化しました。いくつかのMODの翻訳に対応しました。翻訳方法をちょっと変えました。<br>
1.0.4 フォントデータをDLLに埋め込みました。強制日本語化から言語選択で日本語を選ぶ方法に切り替えました。星図で星の名前が輝きすぎている問題を解決しました。<br>
1.0.3 モッドマネージャ用に依存関係を記載しました。MOD本体の機能の変化はありません。<br>
1.0.2 アイテムを追加するMODによってはエラー出ていた問題を解決しました。<br>
1.0.1 r2modmanで導入した際の不具合を解消しました。（フォルダ名が変更されることへの対応）<br>
1.0.0 アップグレードモード「□コンベアベルト」の位置を調整しました。Thunderstoreでリリースしました。。<br>




